Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## name.milesparker.epi
Class EpidemicTilesAdapter

    java.lang.Object
      org.eclipse.amp.agf.GraphicsAdapter
          name.milesparker.epi.contact.EpidemicGraphicsAdapter
              name.milesparker.epi.EpidemicTilesAdapter

All Implemented Interfaces:
  IGraphicsAdapter, org.eclipse.core.runtime.IAdapterFactory

    public class EpidemicTilesAdapter

extends EpidemicGraphicsAdapter

Author:
  mparker

Field Summary
`static IGraphicsAdapter` | `singleton`
`static org.eclipse.jface.viewers.IColorProvider` | `TILE_COLOR_PROVIDER`
`static org.eclipse.jface.viewers.IColorProvider[]` | `TILE_COLOR_PROVIDERS`

Fields inherited from class org.eclipse.amp.agf.GraphicsAdapter
`DEFAULT_COLOR_PROVIDERS, DEFAULT_LABEL_PROVIDERS, EMPTY_FIGURE_PROVIDERS, GRAPHICS_ADAPTERS`

Constructor Summary
`EpidemicTilesAdapter()`

Method Summary
`org.eclipse.jface.viewers.IColorProvider[]` | `getColors(java.lang.Object object)`

Methods inherited from class name.milesparker.epi.contact.EpidemicGraphicsAdapter
`getColorsForClass, getDefault, getFiguresForClass, getLabelsForClass`

Methods inherited from class org.eclipse.amp.agf.GraphicsAdapter
`getAdapter, getAdapterList, getFigures, getLabels`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    public static IGraphicsAdapter singleton

### TILE_COLOR_PROVIDER

    public static final org.eclipse.jface.viewers.IColorProvider TILE_COLOR_PROVIDER

### TILE_COLOR_PROVIDERS

    public static final org.eclipse.jface.viewers.IColorProvider[] TILE_COLOR_PROVIDERS

Constructor Detail

### EpidemicTilesAdapter

    public EpidemicTilesAdapter()

Method Detail

### getColors

    public org.eclipse.jface.viewers.IColorProvider[] getColors(java.lang.Object object)

  Specified by:
    `getColors` in interface `IGraphicsAdapter`
  Overrides:
    `getColors` in class `GraphicsAdapter`
  See Also:
    `IGraphicsAdapter.getColors(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD